org.apache.flume.channel.file.proto

## Interface ProtosFactory.PutOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    ProtosFactory.Put, ProtosFactory.Put.Builder
  Enclosing class:
    ProtosFactory

      public static interface ProtosFactory.PutOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getChecksum()` `optional sfixed64 checksum = 2;`
    `ProtosFactory.FlumeEvent` | `getEvent()` `required .FlumeEvent event = 1;`
    `ProtosFactory.FlumeEventOrBuilder` | `getEventOrBuilder()` `required .FlumeEvent event = 1;`
    `boolean` | `hasChecksum()` `optional sfixed64 checksum = 2;`
    `boolean` | `hasEvent()` `required .FlumeEvent event = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasEvent

          boolean hasEvent()

      `required .FlumeEvent event = 1;`

    - #### getEvent

          ProtosFactory.FlumeEvent getEvent()

      `required .FlumeEvent event = 1;`

    - #### getEventOrBuilder

          ProtosFactory.FlumeEventOrBuilder getEventOrBuilder()

      `required .FlumeEvent event = 1;`

    - #### hasChecksum

          boolean hasChecksum()

      `optional sfixed64 checksum = 2;`

    - #### getChecksum

          long getChecksum()

      `optional sfixed64 checksum = 2;`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.